Name:           kmobiletools
Version:        0.4.3.3
Release:        4%{?dist}
Summary:        Make your mobile phone communicate with your PC

Group:          Applications/Communications
License:        GPL
URL:            http://www.kmobiletools.org
Source0:        http://download.berlios.de/kmobiletools/kmobiletools-0.4.3.3.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs3-devel, desktop-file-utils

%description
KMobileTools is a KDE application that allows you to control your mobile phone 
from your GNU/Linux workstation

To use KMobileTools you need a mobile phone, that can be attached to your PC 
using any type of connection (serial, USB, bluetooth and irda were tested 
successfully), and using an AT interface (modem-like)

%prep
%setup -q


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--vendor=fedora \
--add-category=X-Fedora \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applications/kde/kmobiletools.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README VERSION TODO AUTHORS 
%{_bindir}/kmobiletools
%{_datadir}/applications/fedora-kmobiletools.desktop
%{_datadir}/apps/kmobiletools/eventsrc
%{_datadir}/icons/hicolor/*/apps/kmobiletools.png


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.3.3-4
- Autorebuild for GCC 4.3

* Sat Sep 02 2006 Dennis Gilmore <dennis@ausil.us> - 0.4.3.3-3
- Rebuild for FC6

* Tue May 09 2006  Dennis Gilmore <dennis@ausil.us> - 0.4.3.3-2
- add QT exports to ensure QT is found

* Mon May 08 2006  Dennis Gilmore <dennis@ausil.us> - 0.4.3.3-1
- Initial build

